PHP Manual
Prev |  | Next

# ZEND_WRITE

ZEND_WRITE -- Write character buffer to the default output stream

## Description

#include <zend.h>

int ZEND_WRITE ( char * str, int str_len )

Write str_len bytes from the buffer pointed to by str to the default output stream.

## Parameters

str

  Pointer to character buffer

str_len

  Buffer length

## Return Values

Number of characters written or -1 on errors.

## See Also

See also ZEND_PUTC() and ZEND_PUTS().

Prev | Home | Next
ZEND_VERIFY_RESOURCE | Up | ZEND_WRONG_PARAM_COUNT_WITH_RETVAL